# Sack
# by Eresse <eresse@eresse.net>

# Sack Module
module Sack

	# Database Class
	class Database

		# Field Types:
		# Available field types to be used when defining schemas.
		FTYPES = {
			str: 'VARCHAR(255)',
			txt: 'TEXT',
			int: 'INTEGER',
			flo: 'REAL',
			uniq: 'UNIQUE',
			pk: 'PRIMARY KEY',
			ai: 'AUTOINCREMENT'
		}

		# Ruby Type Conversions:
		# Maps Field Types to Ruby Classes.
		FTYPES_CLASSES = {
			str: String,
		    txt: String,
		    int: Integer,
		    flo: Float
		}
	end
end
